Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jxml.quick.model.qiml
Class Qiml

    java.lang.Object
      |
      +--com.jxml.quick.model.qiml.Qiml

public class Qiml
extends Object

Qiml - qiml: The root element of a QIML binding schema. The elementDefinition held by qiml defines the root element(s).

Field Summary
`protected ElementDefinition` | `elementDefinition_3`
`protected String` | `qiml_PUBLIC_1`
`protected String` | `qiml_SYSTEM_2`

Constructor Summary
`Qiml()`
`Qiml(ElementDefinition elementDefinition_3)` minimum constructor
`Qiml(String qiml_PUBLIC_1, String qiml_SYSTEM_2, ElementDefinition elementDefinition_3)` full constructor

Method Summary
`ElementDefinition` | `getElementDefinition_3()`
`String` | `getQiml_PUBLIC_1()`
`String` | `getQiml_SYSTEM_2()`
`void` | `setElementDefinition_3(ElementDefinition elementDefinition_3)`
`void` | `setQiml_PUBLIC_1(String qiml_PUBLIC_1)`
`void` | `setQiml_SYSTEM_2(String qiml_SYSTEM_2)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### qiml_PUBLIC_1

    protected String qiml_PUBLIC_1

### qiml_SYSTEM_2

    protected String qiml_SYSTEM_2

### elementDefinition_3

    protected ElementDefinition elementDefinition_3

Constructor Detail

### Qiml

    public Qiml()

### Qiml

    public Qiml(String qiml_PUBLIC_1,
                String qiml_SYSTEM_2,
                ElementDefinition elementDefinition_3)

  full constructor

### Qiml

    public Qiml(ElementDefinition elementDefinition_3)

  minimum constructor

Method Detail

### getQiml_PUBLIC_1

    public String getQiml_PUBLIC_1()

### setQiml_PUBLIC_1

    public void setQiml_PUBLIC_1(String qiml_PUBLIC_1)

### getQiml_SYSTEM_2

    public String getQiml_SYSTEM_2()

### setQiml_SYSTEM_2

    public void setQiml_SYSTEM_2(String qiml_SYSTEM_2)

### getElementDefinition_3

    public ElementDefinition getElementDefinition_3()

### setElementDefinition_3

    public void setElementDefinition_3(ElementDefinition elementDefinition_3)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD